#ifndef _VectorBUFFER_HPP_
#define _VectorBUFFER_HPP_

#include "externs.hpp"

class Vectorbuffer
{
public:
    Vectorbuffer(); 
    ~Vectorbuffer(); 

    void start();
    void finalize();
    Vector *getData() { return this->values; };
    void add(Vector &v);
    int getCount() { return this->count; };


private:

    Lista2 *list;
    int count;
    Vector *values;
};

#endif